# Serialized Form

## Package org.jboss.logmanager

### Class org.jboss.logmanager.ExtLogRecord extends java.util.logging.LogRecord implements Serializable

serialVersionUID:
  -9174374711278052369L

### Serialization Methods

#### readObject

    private void readObject​(java.io.ObjectInputStream ois)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeObject

    private void writeObject​(java.io.ObjectOutputStream oos)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

### Serialized Fields

#### formatStyle

    ExtLogRecord.FormatStyle formatStyle

#### formattedMessage

    java.lang.String formattedMessage

#### hostName

    java.lang.String hostName

#### mdcCopy

    org.jboss.logmanager.FastCopyHashMap<java.lang.String,​java.lang.Object> mdcCopy

#### ndc

    java.lang.String ndc

#### processId

    long processId

#### processName

    java.lang.String processName

#### resourceKey

    java.lang.String resourceKey

#### sourceFileName

    java.lang.String sourceFileName

#### sourceLineNumber

    int sourceLineNumber

#### sourceModuleName

    java.lang.String sourceModuleName

#### sourceModuleVersion

    java.lang.String sourceModuleVersion

#### threadName

    java.lang.String threadName

### Class org.jboss.logmanager.Level extends java.util.logging.Level implements Serializable

serialVersionUID:
  491981186783136939L

### Class org.jboss.logmanager.Logger extends java.util.logging.Logger implements Serializable

serialVersionUID:
  5093333069125075416L

### Serialization Methods

#### writeReplace

    protected final java.lang.Object writeReplace()
                                           throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### loggerNode

    org.jboss.logmanager.LoggerNode loggerNode

The named logger tree node.

### Class org.jboss.logmanager.SerializedLogger extends java.lang.Object implements Serializable

serialVersionUID:
  8266206989821750874L

### Serialization Methods

#### readResolve

    public java.lang.Object readResolve()

Get the actual logger for this marker.

See Also:
  Serialization spec, 3.7

### Serialized Fields

#### name

    java.lang.String name